Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 415029 - app-misc/doublecmd - Double Commander is a cross platform open source file manager with two panels side by side
Summary: app-misc/doublecmd - Double Commander is a cross platform open source file ma...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 5 votes (vote)
Assignee: Default Assignee for New Packages
URL: http://doublecmd.sourceforge.net/
Whiteboard:
Keywords: PullRequest
: 709832 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-05-07 15:56 UTC by Mark
Modified: 2020-02-16 19:00 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
double-commander-0.6.6.ebuild (double-commander-0.6.6.ebuild,1.41 KB, text/plain)
2016-01-24 10:55 UTC, Constantine Bytensky
Details
double-commander-0.7.1.ebuild (double-commander-0.7.1.ebuild,1.45 KB, text/plain)
2016-04-01 22:21 UTC, Wojciech Myrda
Details
double-commander-0.7.7.ebuild (double-commander-0.7.7.ebuild,1.45 KB, text/plain)
2016-12-26 04:32 UTC, Wojciech Myrda
Details
double-commander-0.8.1.ebuild (double-commander-0.8.1.ebuild,1.66 KB, text/plain)
2018-01-21 10:28 UTC, Wojciech Myrda
Details
double-commander-0.8.3.ebuild (double-commander-0.8.3.ebuild,1.78 KB, text/plain)
2018-06-09 06:31 UTC, Wojciech Myrda
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark 2012-05-07 15:56:18 UTC

    
Comment 1 Mark 2012-05-07 15:59:14 UTC
I have been using this and found it a very nice dual pane file manager. I do not know to make an e-build nad make dev life easier, so I must ask.
Comment 2 Ulenrich 2012-05-31 00:27:22 UTC
I would appreciate an ebuild of this, as all of the outher two pane managers are currently not worked on as doublecmd. And you can enable your old Win-Totalcommander scripts as an extra benefit !
Comment 3 Mads 2013-09-13 07:47:49 UTC
The installation procedure is very non-standard, everything is done through custom shell scripts. But it should be doable if we can figure out the dependencies and stuff.
Comment 4 Constantine Bytensky 2016-01-24 10:55:46 UTC
Created attachment 423760 [details]
double-commander-0.6.6.ebuild

I made ebuild for 0.6.6.
Comment 5 Wojciech Myrda 2016-04-01 22:21:37 UTC
Created attachment 429458 [details]
double-commander-0.7.1.ebuild

slightly updated ebuild for new version of doublecmd released March 27, 2016

PS Great job Constantine :)
Comment 6 Wojciech Myrda 2016-12-26 04:32:27 UTC
Created attachment 457400 [details]
double-commander-0.7.7.ebuild

version 0.7.7 has been just released. Simple bump works. Please include that one in the tree as it is best file management tool out there for all of those that like Norton Commander two panel look.
Comment 7 Wojciech Myrda 2018-01-21 10:28:00 UTC
Created attachment 515606 [details]
double-commander-0.8.1.ebuild

As there is new version of Double Commander https://doublecmd.sourceforge.io/mediawiki/index.php/Changes_in_version_0.8.0 I created new ebuild corresponding to it. It makes use of QT5 now as well, but hence I do not use QT than I did not test it.

Ebuild requires lazarus-1.8 hence it is required for propoer High DPI support (see link to changes above). Co compile lazarus 1.6.4 is still enough https://doublecmd.sourceforge.io/mediawiki/index.php/Development#Building_from_source

Ebuild builds and works fine for me using GTK2, but I am not able to tell if it requires any of this https://wiki.gentoo.org/wiki/Notes_on_ebuilds_with_GUI as it all sounds voodish to me.
Comment 8 Wojciech Myrda 2018-01-21 10:50:53 UTC
This bug depends on:
https://bugs.gentoo.org/645226 - dev-lang/fpc
https://bugs.gentoo.org/645224 - dev-lang/lazarus
https://bugs.gentoo.org/645228 - dev-qt/qtpascal
Comment 9 Wojciech Myrda 2018-06-09 06:31:43 UTC
Created attachment 535350 [details]
double-commander-0.8.3.ebuild

Hence there is new version available https://doublecmd.sourceforge.io/mantisbt/changelog_page.php?version_id=53 I took liberty of fixing ebuild according to skel.ebuild also adding appropriate xdg_desktop_database_update to it.
Comment 10 Florian Berger 2018-06-26 04:46:53 UTC
The 0.8.3. ebuild builds on my machine, but whenn I try to run the program, it gives me one of:

[FORMS.PP] ExceptionOccurred 
  Sender=EAccessViolation
  Exception=Access violation
  Stack trace:
  $00000021 in 
  $F349775E in /usr/share/doublecmd/plugins/wdx/audioinfo/audioinfo.wdx
  $F77BFFE5 in /lib/ld-linux.so.2
TApplication.HandleException Access violation
  Stack trace:
  $00000021 in 
  $F349775E in /usr/share/doublecmd/plugins/wdx/audioinfo/audioinfo.wdx
  $F77BFFE5 in /lib/ld-linux.so.2
[FORMS.PP] ExceptionOccurred 
[FORMS.PP] ExceptionOccurred 

or

Creating PixmapManager
Loading icon theme DCTheme
Loading icon theme DCTheme
[FORMS.PP] ExceptionOccurred 
  Sender=EAccessViolation
  Exception=Access violation
  Stack trace:
  $F67813E5 in /usr/lib/libpng16.so.16
TApplication.HandleException Access violation
  Stack trace:
  $F67813E5 in /usr/lib/libpng16.so.16
Finishing GuiMessageQueue
Shutting down PixmapManager

A quick check with ldd looked fine so far, I can not find any apparent linking problems.
Comment 11 Wojciech Myrda 2018-06-26 07:41:27 UTC
I just noticed it does show an error due to pixmaps not loading, but works fine here with below setup:

~ $ doublecmd 
Starting GuiMessageQueue
Starting Double Commander
Double Commander 0.8.3 beta
Revision: 8160
Build: 2018/06/09
Lazarus: 1.8.4.0
Free Pascal: 3.0.4
Platform: x86_64-Linux-gtk2
System: "Gentoo"
Desktop Environment: Xfce
Widgetset library: GTK 2.24.32
This program is free software released under terms of GNU GPL 2
(C)opyright 2006-2017 Alexander Koblov (alexx2000@mail.ru)
   and contributors (see about dialog)
Executable directory: /usr/share/doublecmd/
Loading configuration from /home/user/.config/doublecmd/
Loading lng file: /usr/share/doublecmd/language/doublecmd.pl.po
WDX: LOAD: /usr/share/doublecmd/plugins/wdx/deb_wdx/deb_wdx.wdx
WDX: LOAD: /usr/share/doublecmd/plugins/wdx/rpm_wdx/rpm_wdx.wdx
WDX: LOAD: /usr/share/doublecmd/plugins/wdx/audioinfo/audioinfo.wdx
Error loading configuration file /home/user/.config/doublecmd/favoritetabs.xml
PollThread: Start polling
PollThread: AddPoll 9
Creating PixmapManager
Loading icon theme DCTheme
Loading icon theme DCTheme
Error: pixmap [/usr/share/doublecmd/doublecmd] not loaded!
UDisks: Service successfully started.
UDisks: Version 1.0.5
TColumnsFileView.Create components
Creating TFileSystemFileSource
TColumnsFileView.Create components
FileSystemWatcher thread starting
frmMain.frmMainShow
UDisks: Device changed: /org/freedesktop/UDisks/devices/sda
Comment 12 Jeroen Roovers gentoo-dev 2020-02-16 18:33:10 UTC
*** Bug 709832 has been marked as a duplicate of this bug. ***
Comment 13 MeatShooter 2020-02-16 19:00:17 UTC
If anyone wants doublemcd-0.9.8 see bug 709832